Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/4795/?format=api
{ "ob_id": 4795, "uuid": "d4d51d24a53c67265f47f3527a7f20c8", "title": "Convective Storm Initiation Project (CSIP): Institute of Meteorology and Climate Research (IMK) Dornier 128 Aircraft Data at Chilbolton, UK", "abstract": "The Institute of Meterological and Climate Research Dornier 128 aircraft data were collected at Chilbolton, Hampshire by instruments on the aircraft, between the 22nd of June 2005 and the 14th of July 2005. The dataset includes measurements of wind direction and wind speed, air density, and air temperature.\r\n\r\nMeasurements taken by the Dornier 128 aircraft and stored in this dataset are:\r\n\r\nstatic pressure, uncorrected (hPa)\r\nbarometric altitude (m)\r\nradarheight above ground (m)\r\nlatitude (deg)\r\nlongitude (deg)\r\ntrue air speed (m/s)\r\nvelocity over ground (m/s)\r\nvertical velocity (m/s)\r\nradiation pyranometer top (W/m2)\r\nradiation pyranomter bottom (W/m2)\r\nradiation pyrgeometer top (W/m2)\r\nradiation pyrgeometer bottom (W/m2)\r\nair density (kg/m3)\r\nfast air temperature (deg Celsius)\r\npotential temperature (deg Celsius)\r\nfiltered mixing ratio (g/kg)\r\nmixing ratio Lyman-Alpha (g/kg)\r\nwind component west-east (m/s)\r\nwind component south-north (m/s)\r\nvertical wind component (m/s)\r\nwind direction (deg)\r\nwind speed (m/s)", "keywords": "CSIP, UFAM, aircraft, pressure, wind", "publicationState": "published", "dataPublishedTime": "2006-08-17T13:47:01", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/4796/?format=api", "dataPath": "/badc/csip/data/core_imk-dornier128", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 34264874, "numberOfFiles": 19, "fileFormat": "Data are NASA Ames formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1377/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/719/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/56459/?format=api" ], "dataLineage": "Data were collected by the Institute of Meteorology and Climate Research (IMK) before preparation and delivery to the Convective Storm Initiation Project (CSIP) participants and then to the BADC for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/3214/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/4614/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/4611/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21850/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21849/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21851/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21852/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21853/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/21855/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/43928/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/43931/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/54588/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/4797/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }